pydo.vector_databases.get_credentials()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.vector_databases.get_credentials(id="\"example string\"")
Returns JSONRaises HttpResponseError

Description

To retrieve the admin credentials for a vector database, send a GET request to /v2/vector-databases/{id}/credentials. The response body contains the user_id and api_token for the admin user provisioned on the cluster.

Parameters

id string required

ID of the vector database.

Response Example

Show Response Example
{
  "api_token": "example string",
  "user_id": "123e4567-e89b-12d3-a456-426614174000"
}

More Information

See /v2/vector-databases/{id}/credentials in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.